package com.iamberry.wechat.core.entity.product;

import java.util.Date;

/**
 * 产品子类型表
 * Created by liuzhiwei on 2017/12/14.
 */
public class ProductChildType implements java.io.Serializable {

    private static final long serialVersionUID = 118586515844190687L;

    private Integer childTypeId;        //id
    private Integer typeId;             //产品类型
    private String childTypeName;       //名字
    private String childTypeDetilas;    //简介
    private Date childTypeCreateDate;   //创建时间
    private Date childTypeUpdateDate;   //更新时间
    private Integer childTypeState;     //状态    1：使用中，2：停用，3：删除

    public Integer getChildTypeId() {
        return childTypeId;
    }

    public void setChildTypeId(Integer childTypeId) {
        this.childTypeId = childTypeId;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public String getChildTypeName() {
        return childTypeName;
    }

    public void setChildTypeName(String childTypeName) {
        this.childTypeName = childTypeName;
    }

    public String getChildTypeDetilas() {
        return childTypeDetilas;
    }

    public void setChildTypeDetilas(String childTypeDetilas) {
        this.childTypeDetilas = childTypeDetilas;
    }

    public Date getChildTypeCreateDate() {
        return childTypeCreateDate;
    }

    public void setChildTypeCreateDate(Date childTypeCreateDate) {
        this.childTypeCreateDate = childTypeCreateDate;
    }

    public Date getChildTypeUpdateDate() {
        return childTypeUpdateDate;
    }

    public void setChildTypeUpdateDate(Date childTypeUpdateDate) {
        this.childTypeUpdateDate = childTypeUpdateDate;
    }

    public Integer getChildTypeState() {
        return childTypeState;
    }

    public void setChildTypeState(Integer childTypeState) {
        this.childTypeState = childTypeState;
    }
}
